package cn.ecpark.service.usergw;

import java.net.URI;

import org.apache.dubbo.config.spring.context.annotation.EnableDubboConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@SpringBootApplication
@SpringBootConfiguration
@EnableAutoConfiguration
@EnableDubboConfig
@ComponentScan("cn.ecpark.service.usergw")
public class App {
	
	public static void main(String[] args) {
		URI a = URI.create("dubbo://127.0.0.1/com.a.b?group=test&version=123");
		URI b = URI.create("dubbo://com.a.b?group=test&version=123");
		SpringApplication.run(App.class, args);
	}

}
